#This script computes the predictive densitites for a given point T-80-run+1. run should go from 1 to 146
#run <- as.integer(Sys.getenv("SGE_TASK_ID")) if sun grid engine is used on a cluster

run <- 1 #computes the predictive densities for the first quarter in the hold-out sample

transform <- "diff"
source("ng_triangular.R")
source("data_handling.R")
source("aux_functions.R")

nsave <- 15000
nburn <- 15000
T <- nrow(new.data$large)
h1 <- T-80
fhorz <- 4
shrink.type <- c("global","rowwise","columnwise","lagwise")
size <- c("small","medium","large")#,"medium","large"
for (ii in size){
  for (jj in shrink.type){

  NG_1 <- NG_VAR(Yraw=new.data[[ii]],nsave=nsave,nburn = nburn,p = 5,h=h1-run+1,prmean=0.9,c_tau=.01,d_tau=.01,a_tau = 0.1,b_tau = 0.1,var.c1 = .01,var.c2=.01,cons = 1,fhorz=fhorz,shrink.type = jj)
  foldername <- paste0("Densities_",transform,"_",jj,"_",ii,sep="")
  dir.create(foldername, showWarnings = FALSE)

  save(NG_1, file = paste0(foldername,"/", jj,"_", formatC(run, width=4, flag=0), ".RData"))
  }
}
